<?php
// core configuration
include_once "config/core.php";

// include classes
include_once "config/database.php";

// set page title
$page_title="Read Categories";

// include page header HTML
include_once "layout_head.php";

// read all categories from the database
$query = "SELECT id, name, description 
		FROM categories  
		ORDER BY id DESC  
		LIMIT ?, ?";	

// prepare query statement
$stmt = $con->prepare( $query );

// bind values
$stmt->bindParam(1, $from_record_num, PDO::PARAM_INT);
$stmt->bindParam(2, $records_per_page, PDO::PARAM_INT);

// execute query
$stmt->execute();

$num = $stmt->rowCount();

// to identify page for paging
$page_url="read_categories.php?";

// include categories HTML table template
include_once "read_categories_template.php";

// include page footer HTML
include_once "layout_foot.php";
?>