<?php 
echo "<div class='overflow-hidden'>";
	?>
	<form role="search" action='search_products.php'>
		<div class="input-group col-md-3 pull-left margin-right-1em">
			<input type="text" class="form-control" placeholder="Type product name or description..." name="s" id="srch-term" required <?php echo isset($search_term) ? "value='$search_term'" : ""; ?> />
			<div class="input-group-btn">
				<button class="btn btn-primary" type="submit"><i class="glyphicon glyphicon-search"></i></button>
			</div>
		</div>
	</form>
	
	<form role="search" action='search_products_by_date_range.php'>
		<div class="input-group col-md-3 pull-left">
			<input type="text" class="form-control" placeholder="Date from..." name="date_from" id="date-from" required 
				<?php echo isset($date_from) ? "value='$date_from'" : ""; ?> />
			<span class="input-group-btn" style="width:0px;"></span>
			
			<input type="text" class="form-control" placeholder="Date to..." name="date_to" id="date-to" 
				required <?php echo isset($date_to) ? "value='$date_to'" : ""; ?> />
			<div class="input-group-btn">
				<button class="btn btn-primary" type="submit"><i class="glyphicon glyphicon-search"></i></button>
			</div>
		</div>
	</form>
	
	<?php 
	echo "<a href='create_product.php' class='btn btn-primary pull-right margin-bottom-1em'>";
		echo "<span class='glyphicon glyphicon-plus'></span> Create Record";
	echo "</a>";
	
	echo "<a href='export_products_csv.php' class='btn btn-info pull-right margin-bottom-1em margin-right-1em'>";
		echo "<span class='glyphicon glyphicon-download'></span> Export CSV";
	echo "</a>";
	
	echo "<button class='btn btn-danger pull-right margin-bottom-1em margin-right-1em' id='delete-selected'>";
		echo "<span class='glyphicon glyphicon-remove-circle'></span> Delete Selected";
	echo "</button>";
	
echo "</div>";

//check if more than 0 record found
if($num>0){
	
	// order opposite of the current order
	$reverse_order=isset($order) && $order=="asc" ? "desc" : "asc";
	
	// field name
	$field=isset($field) ? $field : "";
	
	// field sorting arrow
	$field_sort_html="";
	
	if(isset($field_sort) && $field_sort==true){
		$field_sort_html.="<span class='badge'>";
			$field_sort_html.=$order=="asc" 
					? "<span class='glyphicon glyphicon-arrow-up'></span>"
					: "<span class='glyphicon glyphicon-arrow-down'></span>";
		$field_sort_html.="</span>";
	}
	
	// start table
    echo "<table class='table table-bordered table-hover'>";//start table
    
        //creating our table heading
        echo "<tr>";
			echo "<th class='text-align-center'><input type='checkbox' id='checker' /></th>";
            echo "<th>";
				echo "<a href='read_products_sorted_by_fields.php?field=name&order={$reverse_order}'>";
					echo "Name ";
					echo $field=="name" ? $field_sort_html : "";
				echo "</a>";
			echo "</th>";
            echo "<th>";
				echo "<a href='read_products_sorted_by_fields.php?field=description&order={$reverse_order}'>";
					echo "Description ";
					echo $field=="description" ? $field_sort_html : "";
				echo "</a>";
			echo "</th>";
            echo "<th>";
				echo "<a href='read_products_sorted_by_fields.php?field=price&order={$reverse_order}'>";
					echo "Price ";
					echo $field=="price" ? $field_sort_html : "";
				echo "</a>";
			echo "</th>";
			echo "<th>";
				echo "<a href='read_products_sorted_by_fields.php?field=category_name&order={$reverse_order}'>";
					echo "Category ";
					echo $field=="category_name" ? $field_sort_html : "";
				echo "</a>";
			echo "</th>";
			echo "<th>";
				echo "<a href='read_products_sorted_by_fields.php?field=created&order={$reverse_order}'>";
					echo "Created ";
					echo $field=="created" ? $field_sort_html : "";
				echo "</a>";
			echo "</th>";
			echo "<th>Action</th>";
        echo "</tr>";
        
        // retrieve our table contents
		// fetch() is faster than fetchAll()
		// http://stackoverflow.com/questions/2770630/pdofetchall-vs-pdofetch-in-a-loop
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            // extract row
            // this will make $row['firstname'] to
            // just $firstname only
            extract($row);
            
            //creating new table row per record
            echo "<tr>";
				echo "<td class='text-align-center'><input type='checkbox' name='item[]' class='checkboxes' value='{$id}' /></td>";
                echo "<td>{$name}</td>";
                echo "<td>{$description}</td>";
                echo "<td>&#36;" . number_format($price, 2) . "</td>";
				echo "<td>{$category_name}</td>";
				echo "<td>{$created}</td>";
				echo "<td>";
					
					// update record
					echo "<a href='update_product.php?id={$id}' class='btn btn-info margin-right-1em'>";
						echo "<span class='glyphicon glyphicon-edit'></span> Edit";
					echo "</a>";
					
					// delete record
					echo "<a delete-id='{$id}' delete-file='delete_product.php' class='btn btn-danger delete-object'>";
						echo "<span class='glyphicon glyphicon-remove'></span> Delete";
					echo "</a>";

				echo "</td>";
            echo "</tr>";
        }
	
	//end table
    echo "</table>";
    
	// needed for paging
	// read database records
	if($page_url=="read_products.php?"){
		
		$query = "SELECT COUNT(*) as total_rows FROM products";
		$stmt = $con->prepare($query);
	}
	
	// category page
	else if(isset($category_id) && $page_url=="category.php?id={$category_id}&"){
		
		$query = "SELECT COUNT(*) as total_rows 
					FROM products 
					WHERE category_id=:category_id";
					
		$stmt = $con->prepare($query);
		$stmt->bindParam(':category_id', $category_id);

	}

	// search by date range
	else if(isset($date_from) && isset($date_to) 
				&& $page_url=="search_products_by_date_range.php?date_from={$date_from}&date_to={$date_to}&"){
		
		$query = "SELECT COUNT(*) as total_rows 
					FROM products 
					WHERE 
						created BETWEEN :date_from AND :date_to 
						OR created LIKE :date_from_for_query 
						OR created LIKE :date_to_for_query";

		$stmt = $con->prepare($query);
		$stmt->bindParam(":date_from", $date_from);
		$stmt->bindParam(":date_to", $date_to);
		
		$date_from_for_query = "%{$date_from}%";
		$date_to_for_query = "%{$date_to}%";
		$stmt->bindParam(":date_from_for_query", $date_from_for_query);
		$stmt->bindParam(":date_to_for_query", $date_to_for_query);

		$stmt->execute();
	}
	
	// it is the search page
	else if(isset($search_term) && $page_url=="search_products.php?s={$search_term}&"){
		
		$query = "SELECT COUNT(*) as total_rows 
					FROM products 
					WHERE name LIKE :name OR description LIKE :description";
					
		$stmt = $con->prepare($query);

		$search_term_for_query = "%{$search_term}%";
		$stmt->bindParam(':name', $search_term_for_query);
		$stmt->bindParam(':description', $search_term_for_query);

	}
	
	// sorting page
	else if(isset($field) && isset($order) && $page_url=="read_products_sorted_by_fields.php?field={$field}&order={$order}&"){
		$query = "SELECT COUNT(*) as total_rows FROM products";
		$stmt = $con->prepare($query);
	}
	
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	$total_rows = $row['total_rows'];
	
	// paginate records
	include_once "paging.php";
}

//if no records found
else{
	echo "<div class='alert alert-danger'>";
		echo "No records found.";
	echo "</div>";
}
?>