<?php
// include core configuration
include 'config/core.php';

// include database connection
include 'config/database.php';

// action variable
$date_from = isset($_GET['date_from']) ? htmlspecialchars(strip_tags($_GET['date_from'])) : "";
$date_to = isset($_GET['date_to']) ? htmlspecialchars(strip_tags($_GET['date_to'])) : "";

// page header
$page_title="Read Products";
include_once "layout_head.php";

//select all data
$query = "SELECT p.id, p.name, p.description, p.price, c.name as category_name, p.created
			FROM products p
				LEFT JOIN categories c
					ON p.category_id=c.id
			WHERE
				p.created BETWEEN :date_from AND :date_to
				OR p.created LIKE :date_from_for_query
				OR p.created LIKE :date_to_for_query
			ORDER BY created DESC
			LIMIT :from_record_num, :records_per_page";

$stmt = $con->prepare($query);
$stmt->bindParam(":date_from", $date_from);
$stmt->bindParam(":date_to", $date_to);

$date_from_for_query = "%{$date_from}%";
$date_to_for_query = "%{$date_to}%";
$stmt->bindParam(":date_from_for_query", $date_from_for_query);
$stmt->bindParam(":date_to_for_query", $date_to_for_query);

$stmt->bindParam(":from_record_num", $from_record_num, PDO::PARAM_INT);
$stmt->bindParam(":records_per_page", $records_per_page, PDO::PARAM_INT);
$stmt->execute();

//this is how to get number of rows returned
$num = $stmt->rowCount();

// to identify page for paging
$page_url="search_products_by_date_range.php?date_from={$date_from}&date_to={$date_to}&";

// include the read template
include_once "read_products_template.php";

// page footer
include_once "layout_foot.php";
?>
